// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.14.0
// source: state/state.proto

package state

import (
	api "gitlab.com/mergetb/portal/api"
	_go "gitlab.com/mergetb/xir/v0.3/go"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type MachineState int32

const (
	MachineState_Unknown   MachineState = 0
	MachineState_On        MachineState = 1
	MachineState_Off       MachineState = 2
	MachineState_Restarted MachineState = 3
)

// Enum value maps for MachineState.
var (
	MachineState_name = map[int32]string{
		0: "Unknown",
		1: "On",
		2: "Off",
		3: "Restarted",
	}
	MachineState_value = map[string]int32{
		"Unknown":   0,
		"On":        1,
		"Off":       2,
		"Restarted": 3,
	}
)

func (x MachineState) Enum() *MachineState {
	p := new(MachineState)
	*p = x
	return p
}

func (x MachineState) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (MachineState) Descriptor() protoreflect.EnumDescriptor {
	return file_state_state_proto_enumTypes[0].Descriptor()
}

func (MachineState) Type() protoreflect.EnumType {
	return &file_state_state_proto_enumTypes[0]
}

func (x MachineState) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use MachineState.Descriptor instead.
func (MachineState) EnumDescriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{0}
}

// Wrap materialization.BareMetal with message containing a pointer to the mzid
type Metal struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mzid  string         `protobuf:"bytes,1,opt,name=mzid,proto3" json:"mzid,omitempty"`
	Metal *api.BareMetal `protobuf:"bytes,2,opt,name=metal,proto3" json:"metal,omitempty"`
	State MachineState   `protobuf:"varint,3,opt,name=state,proto3,enum=state.MachineState" json:"state,omitempty"`
}

func (x *Metal) Reset() {
	*x = Metal{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Metal) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Metal) ProtoMessage() {}

func (x *Metal) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Metal.ProtoReflect.Descriptor instead.
func (*Metal) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{0}
}

func (x *Metal) GetMzid() string {
	if x != nil {
		return x.Mzid
	}
	return ""
}

func (x *Metal) GetMetal() *api.BareMetal {
	if x != nil {
		return x.Metal
	}
	return nil
}

func (x *Metal) GetState() MachineState {
	if x != nil {
		return x.State
	}
	return MachineState_Unknown
}

// Wrap materialization.VirtualMachine with message containing a pointer to the
// mzid
type Vm struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mzid  string              `protobuf:"bytes,1,opt,name=mzid,proto3" json:"mzid,omitempty"`
	Vm    *api.VirtualMachine `protobuf:"bytes,2,opt,name=vm,proto3" json:"vm,omitempty"`
	State MachineState        `protobuf:"varint,3,opt,name=state,proto3,enum=state.MachineState" json:"state,omitempty"`
}

func (x *Vm) Reset() {
	*x = Vm{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Vm) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Vm) ProtoMessage() {}

func (x *Vm) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Vm.ProtoReflect.Descriptor instead.
func (*Vm) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{1}
}

func (x *Vm) GetMzid() string {
	if x != nil {
		return x.Mzid
	}
	return ""
}

func (x *Vm) GetVm() *api.VirtualMachine {
	if x != nil {
		return x.Vm
	}
	return nil
}

func (x *Vm) GetState() MachineState {
	if x != nil {
		return x.State
	}
	return MachineState_Unknown
}

type InfrapodConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mzid   string              `protobuf:"bytes,1,opt,name=mzid,proto3" json:"mzid,omitempty"`
	Host   string              `protobuf:"bytes,2,opt,name=host,proto3" json:"host,omitempty"`
	Config *api.InfrapodConfig `protobuf:"bytes,3,opt,name=config,proto3" json:"config,omitempty"`
}

func (x *InfrapodConfig) Reset() {
	*x = InfrapodConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InfrapodConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InfrapodConfig) ProtoMessage() {}

func (x *InfrapodConfig) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InfrapodConfig.ProtoReflect.Descriptor instead.
func (*InfrapodConfig) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{2}
}

func (x *InfrapodConfig) GetMzid() string {
	if x != nil {
		return x.Mzid
	}
	return ""
}

func (x *InfrapodConfig) GetHost() string {
	if x != nil {
		return x.Host
	}
	return ""
}

func (x *InfrapodConfig) GetConfig() *api.InfrapodConfig {
	if x != nil {
		return x.Config
	}
	return nil
}

type Phy struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mzid string                 `protobuf:"bytes,1,opt,name=mzid,proto3" json:"mzid,omitempty"`
	Host string                 `protobuf:"bytes,2,opt,name=host,proto3" json:"host,omitempty"`
	Phy  *api.PhysicalInterface `protobuf:"bytes,3,opt,name=phy,proto3" json:"phy,omitempty"`
}

func (x *Phy) Reset() {
	*x = Phy{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Phy) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Phy) ProtoMessage() {}

func (x *Phy) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Phy.ProtoReflect.Descriptor instead.
func (*Phy) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{3}
}

func (x *Phy) GetMzid() string {
	if x != nil {
		return x.Mzid
	}
	return ""
}

func (x *Phy) GetHost() string {
	if x != nil {
		return x.Host
	}
	return ""
}

func (x *Phy) GetPhy() *api.PhysicalInterface {
	if x != nil {
		return x.Phy
	}
	return nil
}

type Vlan struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mzid string             `protobuf:"bytes,1,opt,name=mzid,proto3" json:"mzid,omitempty"`
	Host string             `protobuf:"bytes,2,opt,name=host,proto3" json:"host,omitempty"`
	Vlan *api.VLANInterface `protobuf:"bytes,3,opt,name=vlan,proto3" json:"vlan,omitempty"`
}

func (x *Vlan) Reset() {
	*x = Vlan{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Vlan) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Vlan) ProtoMessage() {}

func (x *Vlan) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Vlan.ProtoReflect.Descriptor instead.
func (*Vlan) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{4}
}

func (x *Vlan) GetMzid() string {
	if x != nil {
		return x.Mzid
	}
	return ""
}

func (x *Vlan) GetHost() string {
	if x != nil {
		return x.Host
	}
	return ""
}

func (x *Vlan) GetVlan() *api.VLANInterface {
	if x != nil {
		return x.Vlan
	}
	return nil
}

type Vtep struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mzid   string            `protobuf:"bytes,1,opt,name=mzid,proto3" json:"mzid,omitempty"`
	Host   string            `protobuf:"bytes,2,opt,name=host,proto3" json:"host,omitempty"`
	Vtep   *api.Vtep         `protobuf:"bytes,3,opt,name=vtep,proto3" json:"vtep,omitempty"`
	Bridge *api.BridgeMember `protobuf:"bytes,4,opt,name=bridge,proto3" json:"bridge,omitempty"`
}

func (x *Vtep) Reset() {
	*x = Vtep{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Vtep) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Vtep) ProtoMessage() {}

func (x *Vtep) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Vtep.ProtoReflect.Descriptor instead.
func (*Vtep) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{5}
}

func (x *Vtep) GetMzid() string {
	if x != nil {
		return x.Mzid
	}
	return ""
}

func (x *Vtep) GetHost() string {
	if x != nil {
		return x.Host
	}
	return ""
}

func (x *Vtep) GetVtep() *api.Vtep {
	if x != nil {
		return x.Vtep
	}
	return nil
}

func (x *Vtep) GetBridge() *api.BridgeMember {
	if x != nil {
		return x.Bridge
	}
	return nil
}

type Access struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mzid   string              `protobuf:"bytes,1,opt,name=mzid,proto3" json:"mzid,omitempty"`
	Host   string              `protobuf:"bytes,2,opt,name=host,proto3" json:"host,omitempty"`
	Access *api.VLANAccessPort `protobuf:"bytes,3,opt,name=access,proto3" json:"access,omitempty"`
}

func (x *Access) Reset() {
	*x = Access{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Access) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Access) ProtoMessage() {}

func (x *Access) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Access.ProtoReflect.Descriptor instead.
func (*Access) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{6}
}

func (x *Access) GetMzid() string {
	if x != nil {
		return x.Mzid
	}
	return ""
}

func (x *Access) GetHost() string {
	if x != nil {
		return x.Host
	}
	return ""
}

func (x *Access) GetAccess() *api.VLANAccessPort {
	if x != nil {
		return x.Access
	}
	return nil
}

type Trunk struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mzid  string             `protobuf:"bytes,1,opt,name=mzid,proto3" json:"mzid,omitempty"`
	Host  string             `protobuf:"bytes,2,opt,name=host,proto3" json:"host,omitempty"`
	Trunk *api.VLANTrunkPort `protobuf:"bytes,3,opt,name=trunk,proto3" json:"trunk,omitempty"`
}

func (x *Trunk) Reset() {
	*x = Trunk{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Trunk) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Trunk) ProtoMessage() {}

func (x *Trunk) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Trunk.ProtoReflect.Descriptor instead.
func (*Trunk) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{7}
}

func (x *Trunk) GetMzid() string {
	if x != nil {
		return x.Mzid
	}
	return ""
}

func (x *Trunk) GetHost() string {
	if x != nil {
		return x.Host
	}
	return ""
}

func (x *Trunk) GetTrunk() *api.VLANTrunkPort {
	if x != nil {
		return x.Trunk
	}
	return nil
}

type Peer struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mzid string       `protobuf:"bytes,1,opt,name=mzid,proto3" json:"mzid,omitempty"`
	Host string       `protobuf:"bytes,2,opt,name=host,proto3" json:"host,omitempty"`
	Peer *api.BGPPeer `protobuf:"bytes,3,opt,name=peer,proto3" json:"peer,omitempty"`
}

func (x *Peer) Reset() {
	*x = Peer{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Peer) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Peer) ProtoMessage() {}

func (x *Peer) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Peer.ProtoReflect.Descriptor instead.
func (*Peer) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{8}
}

func (x *Peer) GetMzid() string {
	if x != nil {
		return x.Mzid
	}
	return ""
}

func (x *Peer) GetHost() string {
	if x != nil {
		return x.Host
	}
	return ""
}

func (x *Peer) GetPeer() *api.BGPPeer {
	if x != nil {
		return x.Peer
	}
	return nil
}

type VrfConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mzid   string         `protobuf:"bytes,1,opt,name=mzid,proto3" json:"mzid,omitempty"`
	Host   string         `protobuf:"bytes,2,opt,name=host,proto3" json:"host,omitempty"`
	Asn    uint32         `protobuf:"varint,3,opt,name=asn,proto3" json:"asn,omitempty"`
	Config *api.VrfConfig `protobuf:"bytes,4,opt,name=config,proto3" json:"config,omitempty"`
}

func (x *VrfConfig) Reset() {
	*x = VrfConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VrfConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VrfConfig) ProtoMessage() {}

func (x *VrfConfig) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VrfConfig.ProtoReflect.Descriptor instead.
func (*VrfConfig) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{9}
}

func (x *VrfConfig) GetMzid() string {
	if x != nil {
		return x.Mzid
	}
	return ""
}

func (x *VrfConfig) GetHost() string {
	if x != nil {
		return x.Host
	}
	return ""
}

func (x *VrfConfig) GetAsn() uint32 {
	if x != nil {
		return x.Asn
	}
	return 0
}

func (x *VrfConfig) GetConfig() *api.VrfConfig {
	if x != nil {
		return x.Config
	}
	return nil
}

type PrefixList struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mzid  string            `protobuf:"bytes,1,opt,name=mzid,proto3" json:"mzid,omitempty"`
	Host  string            `protobuf:"bytes,2,opt,name=host,proto3" json:"host,omitempty"`
	Name  string            `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	Items []*PrefixListItem `protobuf:"bytes,4,rep,name=items,proto3" json:"items,omitempty"`
}

func (x *PrefixList) Reset() {
	*x = PrefixList{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PrefixList) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PrefixList) ProtoMessage() {}

func (x *PrefixList) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PrefixList.ProtoReflect.Descriptor instead.
func (*PrefixList) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{10}
}

func (x *PrefixList) GetMzid() string {
	if x != nil {
		return x.Mzid
	}
	return ""
}

func (x *PrefixList) GetHost() string {
	if x != nil {
		return x.Host
	}
	return ""
}

func (x *PrefixList) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *PrefixList) GetItems() []*PrefixListItem {
	if x != nil {
		return x.Items
	}
	return nil
}

type PrefixListItem struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Seq    *PrefixSequence `protobuf:"bytes,1,opt,name=seq,proto3" json:"seq,omitempty"`
	Action string          `protobuf:"bytes,2,opt,name=action,proto3" json:"action,omitempty"`
	Prefix string          `protobuf:"bytes,3,opt,name=prefix,proto3" json:"prefix,omitempty"`
	Le     *PrefixLength   `protobuf:"bytes,4,opt,name=le,proto3" json:"le,omitempty"`
	Ge     *PrefixLength   `protobuf:"bytes,5,opt,name=ge,proto3" json:"ge,omitempty"`
}

func (x *PrefixListItem) Reset() {
	*x = PrefixListItem{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PrefixListItem) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PrefixListItem) ProtoMessage() {}

func (x *PrefixListItem) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PrefixListItem.ProtoReflect.Descriptor instead.
func (*PrefixListItem) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{11}
}

func (x *PrefixListItem) GetSeq() *PrefixSequence {
	if x != nil {
		return x.Seq
	}
	return nil
}

func (x *PrefixListItem) GetAction() string {
	if x != nil {
		return x.Action
	}
	return ""
}

func (x *PrefixListItem) GetPrefix() string {
	if x != nil {
		return x.Prefix
	}
	return ""
}

func (x *PrefixListItem) GetLe() *PrefixLength {
	if x != nil {
		return x.Le
	}
	return nil
}

func (x *PrefixListItem) GetGe() *PrefixLength {
	if x != nil {
		return x.Ge
	}
	return nil
}

type PrefixSequence struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value uint32 `protobuf:"varint,1,opt,name=value,proto3" json:"value,omitempty"`
}

func (x *PrefixSequence) Reset() {
	*x = PrefixSequence{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PrefixSequence) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PrefixSequence) ProtoMessage() {}

func (x *PrefixSequence) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PrefixSequence.ProtoReflect.Descriptor instead.
func (*PrefixSequence) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{12}
}

func (x *PrefixSequence) GetValue() uint32 {
	if x != nil {
		return x.Value
	}
	return 0
}

type RouteMap struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mzid     string           `protobuf:"bytes,1,opt,name=mzid,proto3" json:"mzid,omitempty"`
	Host     string           `protobuf:"bytes,2,opt,name=host,proto3" json:"host,omitempty"`
	Name     string           `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	Action   string           `protobuf:"bytes,4,opt,name=action,proto3" json:"action,omitempty"`
	Priority uint32           `protobuf:"varint,5,opt,name=priority,proto3" json:"priority,omitempty"`
	Entries  []*RouteMapEntry `protobuf:"bytes,6,rep,name=entries,proto3" json:"entries,omitempty"`
}

func (x *RouteMap) Reset() {
	*x = RouteMap{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RouteMap) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RouteMap) ProtoMessage() {}

func (x *RouteMap) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RouteMap.ProtoReflect.Descriptor instead.
func (*RouteMap) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{13}
}

func (x *RouteMap) GetMzid() string {
	if x != nil {
		return x.Mzid
	}
	return ""
}

func (x *RouteMap) GetHost() string {
	if x != nil {
		return x.Host
	}
	return ""
}

func (x *RouteMap) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *RouteMap) GetAction() string {
	if x != nil {
		return x.Action
	}
	return ""
}

func (x *RouteMap) GetPriority() uint32 {
	if x != nil {
		return x.Priority
	}
	return 0
}

func (x *RouteMap) GetEntries() []*RouteMapEntry {
	if x != nil {
		return x.Entries
	}
	return nil
}

type RouteMapEntry struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Match:
	//	*RouteMapEntry_IpPrefixList
	Match isRouteMapEntry_Match `protobuf_oneof:"match"`
}

func (x *RouteMapEntry) Reset() {
	*x = RouteMapEntry{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RouteMapEntry) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RouteMapEntry) ProtoMessage() {}

func (x *RouteMapEntry) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RouteMapEntry.ProtoReflect.Descriptor instead.
func (*RouteMapEntry) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{14}
}

func (m *RouteMapEntry) GetMatch() isRouteMapEntry_Match {
	if m != nil {
		return m.Match
	}
	return nil
}

func (x *RouteMapEntry) GetIpPrefixList() *IpAddressPrefixListMatch {
	if x, ok := x.GetMatch().(*RouteMapEntry_IpPrefixList); ok {
		return x.IpPrefixList
	}
	return nil
}

type isRouteMapEntry_Match interface {
	isRouteMapEntry_Match()
}

type RouteMapEntry_IpPrefixList struct {
	// add more as needed
	IpPrefixList *IpAddressPrefixListMatch `protobuf:"bytes,1,opt,name=ip_prefix_list,json=ipPrefixList,proto3,oneof"`
}

func (*RouteMapEntry_IpPrefixList) isRouteMapEntry_Match() {}

type IpAddressPrefixListMatch struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
}

func (x *IpAddressPrefixListMatch) Reset() {
	*x = IpAddressPrefixListMatch{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *IpAddressPrefixListMatch) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*IpAddressPrefixListMatch) ProtoMessage() {}

func (x *IpAddressPrefixListMatch) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use IpAddressPrefixListMatch.ProtoReflect.Descriptor instead.
func (*IpAddressPrefixListMatch) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{15}
}

func (x *IpAddressPrefixListMatch) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

type PrefixLength struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value uint32 `protobuf:"varint,1,opt,name=value,proto3" json:"value,omitempty"`
}

func (x *PrefixLength) Reset() {
	*x = PrefixLength{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PrefixLength) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PrefixLength) ProtoMessage() {}

func (x *PrefixLength) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PrefixLength.ProtoReflect.Descriptor instead.
func (*PrefixLength) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{16}
}

func (x *PrefixLength) GetValue() uint32 {
	if x != nil {
		return x.Value
	}
	return 0
}

type InfranetRoutes struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mzid   string          `protobuf:"bytes,1,opt,name=mzid,proto3" json:"mzid,omitempty"`
	Host   string          `protobuf:"bytes,2,opt,name=host,proto3" json:"host,omitempty"`
	Routes []*api.Neighbor `protobuf:"bytes,3,rep,name=routes,proto3" json:"routes,omitempty"`
}

func (x *InfranetRoutes) Reset() {
	*x = InfranetRoutes{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[17]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InfranetRoutes) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InfranetRoutes) ProtoMessage() {}

func (x *InfranetRoutes) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[17]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InfranetRoutes.ProtoReflect.Descriptor instead.
func (*InfranetRoutes) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{17}
}

func (x *InfranetRoutes) GetMzid() string {
	if x != nil {
		return x.Mzid
	}
	return ""
}

func (x *InfranetRoutes) GetHost() string {
	if x != nil {
		return x.Host
	}
	return ""
}

func (x *InfranetRoutes) GetRoutes() []*api.Neighbor {
	if x != nil {
		return x.Routes
	}
	return nil
}

// A generalized multipoint link. P2P is just an instance with two VNIs
type EmulatedLink struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// VXLAN segments to provide emulated transit for
	Vnis []uint32 `protobuf:"varint,1,rep,packed,name=vnis,proto3" json:"vnis,omitempty"`
	// The link model to implement
	Model *_go.Link `protobuf:"bytes,2,opt,name=model,proto3" json:"model,omitempty"`
}

func (x *EmulatedLink) Reset() {
	*x = EmulatedLink{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[18]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EmulatedLink) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EmulatedLink) ProtoMessage() {}

func (x *EmulatedLink) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[18]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EmulatedLink.ProtoReflect.Descriptor instead.
func (*EmulatedLink) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{18}
}

func (x *EmulatedLink) GetVnis() []uint32 {
	if x != nil {
		return x.Vnis
	}
	return nil
}

func (x *EmulatedLink) GetModel() *_go.Link {
	if x != nil {
		return x.Model
	}
	return nil
}

type EmulatedNetwork struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// VXLAN segments to provide emulated transit for
	Vnis []uint32 `protobuf:"varint,1,rep,packed,name=vnis,proto3" json:"vnis,omitempty"`
	// Dynamically loadable emulation program that implements transit between
	// the vnis.
	Program []byte `protobuf:"bytes,2,opt,name=program,proto3" json:"program,omitempty"`
}

func (x *EmulatedNetwork) Reset() {
	*x = EmulatedNetwork{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[19]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EmulatedNetwork) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EmulatedNetwork) ProtoMessage() {}

func (x *EmulatedNetwork) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[19]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EmulatedNetwork.ProtoReflect.Descriptor instead.
func (*EmulatedNetwork) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{19}
}

func (x *EmulatedNetwork) GetVnis() []uint32 {
	if x != nil {
		return x.Vnis
	}
	return nil
}

func (x *EmulatedNetwork) GetProgram() []byte {
	if x != nil {
		return x.Program
	}
	return nil
}

type Emulation struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Links    []*EmulatedLink    `protobuf:"bytes,1,rep,name=links,proto3" json:"links,omitempty"`
	Networks []*EmulatedNetwork `protobuf:"bytes,2,rep,name=networks,proto3" json:"networks,omitempty"`
}

func (x *Emulation) Reset() {
	*x = Emulation{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[20]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Emulation) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Emulation) ProtoMessage() {}

func (x *Emulation) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[20]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Emulation.ProtoReflect.Descriptor instead.
func (*Emulation) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{20}
}

func (x *Emulation) GetLinks() []*EmulatedLink {
	if x != nil {
		return x.Links
	}
	return nil
}

func (x *Emulation) GetNetworks() []*EmulatedNetwork {
	if x != nil {
		return x.Networks
	}
	return nil
}

type Simulation struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Physical objects.
	Phyos []*_go.Phyo `protobuf:"bytes,1,rep,name=phyos,proto3" json:"phyos,omitempty"`
	// Bonds between variables of physical objects.
	Bonds []*_go.Bond `protobuf:"bytes,2,rep,name=bonds,proto3" json:"bonds,omitempty"`
	// Sensors attached to physical object variables with a network interface.
	Sensors []*_go.Sensor `protobuf:"bytes,3,rep,name=sensors,proto3" json:"sensors,omitempty"`
	// Actuators attached to physical object variables with a network interface.
	Actuators []*_go.Actuator `protobuf:"bytes,4,rep,name=actuators,proto3" json:"actuators,omitempty"`
}

func (x *Simulation) Reset() {
	*x = Simulation{}
	if protoimpl.UnsafeEnabled {
		mi := &file_state_state_proto_msgTypes[21]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Simulation) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Simulation) ProtoMessage() {}

func (x *Simulation) ProtoReflect() protoreflect.Message {
	mi := &file_state_state_proto_msgTypes[21]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Simulation.ProtoReflect.Descriptor instead.
func (*Simulation) Descriptor() ([]byte, []int) {
	return file_state_state_proto_rawDescGZIP(), []int{21}
}

func (x *Simulation) GetPhyos() []*_go.Phyo {
	if x != nil {
		return x.Phyos
	}
	return nil
}

func (x *Simulation) GetBonds() []*_go.Bond {
	if x != nil {
		return x.Bonds
	}
	return nil
}

func (x *Simulation) GetSensors() []*_go.Sensor {
	if x != nil {
		return x.Sensors
	}
	return nil
}

func (x *Simulation) GetActuators() []*_go.Actuator {
	if x != nil {
		return x.Actuators
	}
	return nil
}

var File_state_state_proto protoreflect.FileDescriptor

var file_state_state_proto_rawDesc = []byte{
	0x0a, 0x11, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x1a, 0x13, 0x78, 0x69, 0x72, 0x2f,
	0x76, 0x30, 0x2e, 0x33, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a,
	0x1a, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2f, 0x72, 0x65, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x5f,
	0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e, 0x70, 0x6f, 0x72,
	0x74, 0x61, 0x6c, 0x2f, 0x6d, 0x61, 0x74, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x5f,
	0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x6f, 0x0a, 0x05, 0x4d,
	0x65, 0x74, 0x61, 0x6c, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x12, 0x27, 0x0a, 0x05, 0x6d, 0x65, 0x74, 0x61,
	0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c,
	0x2e, 0x42, 0x61, 0x72, 0x65, 0x4d, 0x65, 0x74, 0x61, 0x6c, 0x52, 0x05, 0x6d, 0x65, 0x74, 0x61,
	0x6c, 0x12, 0x29, 0x0a, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e,
	0x32, 0x13, 0x2e, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65,
	0x53, 0x74, 0x61, 0x74, 0x65, 0x52, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x22, 0x6b, 0x0a, 0x02,
	0x56, 0x6d, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x12, 0x26, 0x0a, 0x02, 0x76, 0x6d, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x16, 0x2e, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2e, 0x56, 0x69, 0x72, 0x74,
	0x75, 0x61, 0x6c, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x52, 0x02, 0x76, 0x6d, 0x12, 0x29,
	0x0a, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x13, 0x2e,
	0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x53, 0x74, 0x61,
	0x74, 0x65, 0x52, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x22, 0x68, 0x0a, 0x0e, 0x49, 0x6e, 0x66,
	0x72, 0x61, 0x70, 0x6f, 0x64, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x12, 0x0a, 0x04, 0x6d,
	0x7a, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x12,
	0x12, 0x0a, 0x04, 0x68, 0x6f, 0x73, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x68,
	0x6f, 0x73, 0x74, 0x12, 0x2e, 0x0a, 0x06, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2e, 0x49, 0x6e, 0x66,
	0x72, 0x61, 0x70, 0x6f, 0x64, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x52, 0x06, 0x63, 0x6f, 0x6e,
	0x66, 0x69, 0x67, 0x22, 0x5a, 0x0a, 0x03, 0x50, 0x68, 0x79, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x7a,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x12, 0x12,
	0x0a, 0x04, 0x68, 0x6f, 0x73, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x68, 0x6f,
	0x73, 0x74, 0x12, 0x2b, 0x0a, 0x03, 0x70, 0x68, 0x79, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x19, 0x2e, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2e, 0x50, 0x68, 0x79, 0x73, 0x69, 0x63, 0x61,
	0x6c, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x66, 0x61, 0x63, 0x65, 0x52, 0x03, 0x70, 0x68, 0x79, 0x22,
	0x59, 0x0a, 0x04, 0x56, 0x6c, 0x61, 0x6e, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x68,
	0x6f, 0x73, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x68, 0x6f, 0x73, 0x74, 0x12,
	0x29, 0x0a, 0x04, 0x76, 0x6c, 0x61, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e,
	0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2e, 0x56, 0x4c, 0x41, 0x4e, 0x49, 0x6e, 0x74, 0x65, 0x72,
	0x66, 0x61, 0x63, 0x65, 0x52, 0x04, 0x76, 0x6c, 0x61, 0x6e, 0x22, 0x7e, 0x0a, 0x04, 0x56, 0x74,
	0x65, 0x70, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x68, 0x6f, 0x73, 0x74, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x68, 0x6f, 0x73, 0x74, 0x12, 0x20, 0x0a, 0x04, 0x76, 0x74,
	0x65, 0x70, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0c, 0x2e, 0x70, 0x6f, 0x72, 0x74, 0x61,
	0x6c, 0x2e, 0x56, 0x74, 0x65, 0x70, 0x52, 0x04, 0x76, 0x74, 0x65, 0x70, 0x12, 0x2c, 0x0a, 0x06,
	0x62, 0x72, 0x69, 0x64, 0x67, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x70,
	0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2e, 0x42, 0x72, 0x69, 0x64, 0x67, 0x65, 0x4d, 0x65, 0x6d, 0x62,
	0x65, 0x72, 0x52, 0x06, 0x62, 0x72, 0x69, 0x64, 0x67, 0x65, 0x22, 0x60, 0x0a, 0x06, 0x41, 0x63,
	0x63, 0x65, 0x73, 0x73, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x68, 0x6f, 0x73, 0x74,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x68, 0x6f, 0x73, 0x74, 0x12, 0x2e, 0x0a, 0x06,
	0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x70,
	0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2e, 0x56, 0x4c, 0x41, 0x4e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73,
	0x50, 0x6f, 0x72, 0x74, 0x52, 0x06, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x22, 0x5c, 0x0a, 0x05,
	0x54, 0x72, 0x75, 0x6e, 0x6b, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x68, 0x6f, 0x73,
	0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x68, 0x6f, 0x73, 0x74, 0x12, 0x2b, 0x0a,
	0x05, 0x74, 0x72, 0x75, 0x6e, 0x6b, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x70,
	0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2e, 0x56, 0x4c, 0x41, 0x4e, 0x54, 0x72, 0x75, 0x6e, 0x6b, 0x50,
	0x6f, 0x72, 0x74, 0x52, 0x05, 0x74, 0x72, 0x75, 0x6e, 0x6b, 0x22, 0x53, 0x0a, 0x04, 0x50, 0x65,
	0x65, 0x72, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x68, 0x6f, 0x73, 0x74, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x68, 0x6f, 0x73, 0x74, 0x12, 0x23, 0x0a, 0x04, 0x70, 0x65,
	0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x70, 0x6f, 0x72, 0x74, 0x61,
	0x6c, 0x2e, 0x42, 0x47, 0x50, 0x50, 0x65, 0x65, 0x72, 0x52, 0x04, 0x70, 0x65, 0x65, 0x72, 0x22,
	0x70, 0x0a, 0x09, 0x56, 0x72, 0x66, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x12, 0x0a, 0x04,
	0x6d, 0x7a, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6d, 0x7a, 0x69, 0x64,
	0x12, 0x12, 0x0a, 0x04, 0x68, 0x6f, 0x73, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04,
	0x68, 0x6f, 0x73, 0x74, 0x12, 0x10, 0x0a, 0x03, 0x61, 0x73, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x0d, 0x52, 0x03, 0x61, 0x73, 0x6e, 0x12, 0x29, 0x0a, 0x06, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2e,
	0x56, 0x72, 0x66, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x52, 0x06, 0x63, 0x6f, 0x6e, 0x66, 0x69,
	0x67, 0x22, 0x75, 0x0a, 0x0a, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x4c, 0x69, 0x73, 0x74, 0x12,
	0x12, 0x0a, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6d,
	0x7a, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x68, 0x6f, 0x73, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x68, 0x6f, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x2b, 0x0a, 0x05, 0x69,
	0x74, 0x65, 0x6d, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x73, 0x74, 0x61,
	0x74, 0x65, 0x2e, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x4c, 0x69, 0x73, 0x74, 0x49, 0x74, 0x65,
	0x6d, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x22, 0xb3, 0x01, 0x0a, 0x0e, 0x50, 0x72, 0x65,
	0x66, 0x69, 0x78, 0x4c, 0x69, 0x73, 0x74, 0x49, 0x74, 0x65, 0x6d, 0x12, 0x27, 0x0a, 0x03, 0x73,
	0x65, 0x71, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x73, 0x74, 0x61, 0x74, 0x65,
	0x2e, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x53, 0x65, 0x71, 0x75, 0x65, 0x6e, 0x63, 0x65, 0x52,
	0x03, 0x73, 0x65, 0x71, 0x12, 0x16, 0x0a, 0x06, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x16, 0x0a, 0x06,
	0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x70, 0x72,
	0x65, 0x66, 0x69, 0x78, 0x12, 0x23, 0x0a, 0x02, 0x6c, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x13, 0x2e, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x4c,
	0x65, 0x6e, 0x67, 0x74, 0x68, 0x52, 0x02, 0x6c, 0x65, 0x12, 0x23, 0x0a, 0x02, 0x67, 0x65, 0x18,
	0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x50, 0x72,
	0x65, 0x66, 0x69, 0x78, 0x4c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x52, 0x02, 0x67, 0x65, 0x22, 0x26,
	0x0a, 0x0e, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x53, 0x65, 0x71, 0x75, 0x65, 0x6e, 0x63, 0x65,
	0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0xaa, 0x01, 0x0a, 0x08, 0x52, 0x6f, 0x75, 0x74, 0x65,
	0x4d, 0x61, 0x70, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x68, 0x6f, 0x73, 0x74, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x68, 0x6f, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12,
	0x16, 0x0a, 0x06, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x06, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x72, 0x69, 0x6f, 0x72,
	0x69, 0x74, 0x79, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x08, 0x70, 0x72, 0x69, 0x6f, 0x72,
	0x69, 0x74, 0x79, 0x12, 0x2e, 0x0a, 0x07, 0x65, 0x6e, 0x74, 0x72, 0x69, 0x65, 0x73, 0x18, 0x06,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x52, 0x6f, 0x75,
	0x74, 0x65, 0x4d, 0x61, 0x70, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x07, 0x65, 0x6e, 0x74, 0x72,
	0x69, 0x65, 0x73, 0x22, 0x61, 0x0a, 0x0d, 0x52, 0x6f, 0x75, 0x74, 0x65, 0x4d, 0x61, 0x70, 0x45,
	0x6e, 0x74, 0x72, 0x79, 0x12, 0x47, 0x0a, 0x0e, 0x69, 0x70, 0x5f, 0x70, 0x72, 0x65, 0x66, 0x69,
	0x78, 0x5f, 0x6c, 0x69, 0x73, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x73,
	0x74, 0x61, 0x74, 0x65, 0x2e, 0x49, 0x70, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x50, 0x72,
	0x65, 0x66, 0x69, 0x78, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x61, 0x74, 0x63, 0x68, 0x48, 0x00, 0x52,
	0x0c, 0x69, 0x70, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x4c, 0x69, 0x73, 0x74, 0x42, 0x07, 0x0a,
	0x05, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x22, 0x2e, 0x0a, 0x18, 0x49, 0x70, 0x41, 0x64, 0x64, 0x72,
	0x65, 0x73, 0x73, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x61, 0x74,
	0x63, 0x68, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0x24, 0x0a, 0x0c, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78,
	0x4c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x62, 0x0a, 0x0e,
	0x49, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x52, 0x6f, 0x75, 0x74, 0x65, 0x73, 0x12, 0x12,
	0x0a, 0x04, 0x6d, 0x7a, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6d, 0x7a,
	0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x68, 0x6f, 0x73, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x68, 0x6f, 0x73, 0x74, 0x12, 0x28, 0x0a, 0x06, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x73,
	0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2e,
	0x4e, 0x65, 0x69, 0x67, 0x68, 0x62, 0x6f, 0x72, 0x52, 0x06, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x73,
	0x22, 0x43, 0x0a, 0x0c, 0x45, 0x6d, 0x75, 0x6c, 0x61, 0x74, 0x65, 0x64, 0x4c, 0x69, 0x6e, 0x6b,
	0x12, 0x12, 0x0a, 0x04, 0x76, 0x6e, 0x69, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0d, 0x52, 0x04,
	0x76, 0x6e, 0x69, 0x73, 0x12, 0x1f, 0x0a, 0x05, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x09, 0x2e, 0x78, 0x69, 0x72, 0x2e, 0x4c, 0x69, 0x6e, 0x6b, 0x52, 0x05,
	0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x22, 0x3f, 0x0a, 0x0f, 0x45, 0x6d, 0x75, 0x6c, 0x61, 0x74, 0x65,
	0x64, 0x4e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x12, 0x12, 0x0a, 0x04, 0x76, 0x6e, 0x69, 0x73,
	0x18, 0x01, 0x20, 0x03, 0x28, 0x0d, 0x52, 0x04, 0x76, 0x6e, 0x69, 0x73, 0x12, 0x18, 0x0a, 0x07,
	0x70, 0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x07, 0x70,
	0x72, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x22, 0x6a, 0x0a, 0x09, 0x45, 0x6d, 0x75, 0x6c, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x12, 0x29, 0x0a, 0x05, 0x6c, 0x69, 0x6e, 0x6b, 0x73, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x13, 0x2e, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x45, 0x6d, 0x75, 0x6c, 0x61,
	0x74, 0x65, 0x64, 0x4c, 0x69, 0x6e, 0x6b, 0x52, 0x05, 0x6c, 0x69, 0x6e, 0x6b, 0x73, 0x12, 0x32,
	0x0a, 0x08, 0x6e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x16, 0x2e, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x45, 0x6d, 0x75, 0x6c, 0x61, 0x74, 0x65,
	0x64, 0x4e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x52, 0x08, 0x6e, 0x65, 0x74, 0x77, 0x6f, 0x72,
	0x6b, 0x73, 0x22, 0xa2, 0x01, 0x0a, 0x0a, 0x53, 0x69, 0x6d, 0x75, 0x6c, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x12, 0x1f, 0x0a, 0x05, 0x70, 0x68, 0x79, 0x6f, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x09, 0x2e, 0x78, 0x69, 0x72, 0x2e, 0x50, 0x68, 0x79, 0x6f, 0x52, 0x05, 0x70, 0x68, 0x79,
	0x6f, 0x73, 0x12, 0x1f, 0x0a, 0x05, 0x62, 0x6f, 0x6e, 0x64, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x09, 0x2e, 0x78, 0x69, 0x72, 0x2e, 0x42, 0x6f, 0x6e, 0x64, 0x52, 0x05, 0x62, 0x6f,
	0x6e, 0x64, 0x73, 0x12, 0x25, 0x0a, 0x07, 0x73, 0x65, 0x6e, 0x73, 0x6f, 0x72, 0x73, 0x18, 0x03,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x0b, 0x2e, 0x78, 0x69, 0x72, 0x2e, 0x53, 0x65, 0x6e, 0x73, 0x6f,
	0x72, 0x52, 0x07, 0x73, 0x65, 0x6e, 0x73, 0x6f, 0x72, 0x73, 0x12, 0x2b, 0x0a, 0x09, 0x61, 0x63,
	0x74, 0x75, 0x61, 0x74, 0x6f, 0x72, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x0d, 0x2e,
	0x78, 0x69, 0x72, 0x2e, 0x41, 0x63, 0x74, 0x75, 0x61, 0x74, 0x6f, 0x72, 0x52, 0x09, 0x61, 0x63,
	0x74, 0x75, 0x61, 0x74, 0x6f, 0x72, 0x73, 0x2a, 0x3b, 0x0a, 0x0c, 0x4d, 0x61, 0x63, 0x68, 0x69,
	0x6e, 0x65, 0x53, 0x74, 0x61, 0x74, 0x65, 0x12, 0x0b, 0x0a, 0x07, 0x55, 0x6e, 0x6b, 0x6e, 0x6f,
	0x77, 0x6e, 0x10, 0x00, 0x12, 0x06, 0x0a, 0x02, 0x4f, 0x6e, 0x10, 0x01, 0x12, 0x07, 0x0a, 0x03,
	0x4f, 0x66, 0x66, 0x10, 0x02, 0x12, 0x0d, 0x0a, 0x09, 0x52, 0x65, 0x73, 0x74, 0x61, 0x72, 0x74,
	0x65, 0x64, 0x10, 0x03, 0x42, 0x2d, 0x5a, 0x2b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63,
	0x6f, 0x6d, 0x2f, 0x6d, 0x65, 0x72, 0x67, 0x65, 0x74, 0x62, 0x2f, 0x66, 0x61, 0x63, 0x69, 0x6c,
	0x69, 0x74, 0x79, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x65, 0x3b, 0x73, 0x74,
	0x61, 0x74, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_state_state_proto_rawDescOnce sync.Once
	file_state_state_proto_rawDescData = file_state_state_proto_rawDesc
)

func file_state_state_proto_rawDescGZIP() []byte {
	file_state_state_proto_rawDescOnce.Do(func() {
		file_state_state_proto_rawDescData = protoimpl.X.CompressGZIP(file_state_state_proto_rawDescData)
	})
	return file_state_state_proto_rawDescData
}

var file_state_state_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_state_state_proto_msgTypes = make([]protoimpl.MessageInfo, 22)
var file_state_state_proto_goTypes = []interface{}{
	(MachineState)(0),                // 0: state.MachineState
	(*Metal)(nil),                    // 1: state.Metal
	(*Vm)(nil),                       // 2: state.Vm
	(*InfrapodConfig)(nil),           // 3: state.InfrapodConfig
	(*Phy)(nil),                      // 4: state.Phy
	(*Vlan)(nil),                     // 5: state.Vlan
	(*Vtep)(nil),                     // 6: state.Vtep
	(*Access)(nil),                   // 7: state.Access
	(*Trunk)(nil),                    // 8: state.Trunk
	(*Peer)(nil),                     // 9: state.Peer
	(*VrfConfig)(nil),                // 10: state.VrfConfig
	(*PrefixList)(nil),               // 11: state.PrefixList
	(*PrefixListItem)(nil),           // 12: state.PrefixListItem
	(*PrefixSequence)(nil),           // 13: state.PrefixSequence
	(*RouteMap)(nil),                 // 14: state.RouteMap
	(*RouteMapEntry)(nil),            // 15: state.RouteMapEntry
	(*IpAddressPrefixListMatch)(nil), // 16: state.IpAddressPrefixListMatch
	(*PrefixLength)(nil),             // 17: state.PrefixLength
	(*InfranetRoutes)(nil),           // 18: state.InfranetRoutes
	(*EmulatedLink)(nil),             // 19: state.EmulatedLink
	(*EmulatedNetwork)(nil),          // 20: state.EmulatedNetwork
	(*Emulation)(nil),                // 21: state.Emulation
	(*Simulation)(nil),               // 22: state.Simulation
	(*api.BareMetal)(nil),            // 23: portal.BareMetal
	(*api.VirtualMachine)(nil),       // 24: portal.VirtualMachine
	(*api.InfrapodConfig)(nil),       // 25: portal.InfrapodConfig
	(*api.PhysicalInterface)(nil),    // 26: portal.PhysicalInterface
	(*api.VLANInterface)(nil),        // 27: portal.VLANInterface
	(*api.Vtep)(nil),                 // 28: portal.Vtep
	(*api.BridgeMember)(nil),         // 29: portal.BridgeMember
	(*api.VLANAccessPort)(nil),       // 30: portal.VLANAccessPort
	(*api.VLANTrunkPort)(nil),        // 31: portal.VLANTrunkPort
	(*api.BGPPeer)(nil),              // 32: portal.BGPPeer
	(*api.VrfConfig)(nil),            // 33: portal.VrfConfig
	(*api.Neighbor)(nil),             // 34: portal.Neighbor
	(*_go.Link)(nil),                 // 35: xir.Link
	(*_go.Phyo)(nil),                 // 36: xir.Phyo
	(*_go.Bond)(nil),                 // 37: xir.Bond
	(*_go.Sensor)(nil),               // 38: xir.Sensor
	(*_go.Actuator)(nil),             // 39: xir.Actuator
}
var file_state_state_proto_depIdxs = []int32{
	23, // 0: state.Metal.metal:type_name -> portal.BareMetal
	0,  // 1: state.Metal.state:type_name -> state.MachineState
	24, // 2: state.Vm.vm:type_name -> portal.VirtualMachine
	0,  // 3: state.Vm.state:type_name -> state.MachineState
	25, // 4: state.InfrapodConfig.config:type_name -> portal.InfrapodConfig
	26, // 5: state.Phy.phy:type_name -> portal.PhysicalInterface
	27, // 6: state.Vlan.vlan:type_name -> portal.VLANInterface
	28, // 7: state.Vtep.vtep:type_name -> portal.Vtep
	29, // 8: state.Vtep.bridge:type_name -> portal.BridgeMember
	30, // 9: state.Access.access:type_name -> portal.VLANAccessPort
	31, // 10: state.Trunk.trunk:type_name -> portal.VLANTrunkPort
	32, // 11: state.Peer.peer:type_name -> portal.BGPPeer
	33, // 12: state.VrfConfig.config:type_name -> portal.VrfConfig
	12, // 13: state.PrefixList.items:type_name -> state.PrefixListItem
	13, // 14: state.PrefixListItem.seq:type_name -> state.PrefixSequence
	17, // 15: state.PrefixListItem.le:type_name -> state.PrefixLength
	17, // 16: state.PrefixListItem.ge:type_name -> state.PrefixLength
	15, // 17: state.RouteMap.entries:type_name -> state.RouteMapEntry
	16, // 18: state.RouteMapEntry.ip_prefix_list:type_name -> state.IpAddressPrefixListMatch
	34, // 19: state.InfranetRoutes.routes:type_name -> portal.Neighbor
	35, // 20: state.EmulatedLink.model:type_name -> xir.Link
	19, // 21: state.Emulation.links:type_name -> state.EmulatedLink
	20, // 22: state.Emulation.networks:type_name -> state.EmulatedNetwork
	36, // 23: state.Simulation.phyos:type_name -> xir.Phyo
	37, // 24: state.Simulation.bonds:type_name -> xir.Bond
	38, // 25: state.Simulation.sensors:type_name -> xir.Sensor
	39, // 26: state.Simulation.actuators:type_name -> xir.Actuator
	27, // [27:27] is the sub-list for method output_type
	27, // [27:27] is the sub-list for method input_type
	27, // [27:27] is the sub-list for extension type_name
	27, // [27:27] is the sub-list for extension extendee
	0,  // [0:27] is the sub-list for field type_name
}

func init() { file_state_state_proto_init() }
func file_state_state_proto_init() {
	if File_state_state_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_state_state_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Metal); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Vm); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InfrapodConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Phy); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Vlan); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Vtep); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Access); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Trunk); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Peer); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VrfConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PrefixList); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PrefixListItem); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PrefixSequence); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RouteMap); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RouteMapEntry); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*IpAddressPrefixListMatch); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PrefixLength); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[17].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InfranetRoutes); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[18].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EmulatedLink); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[19].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EmulatedNetwork); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[20].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Emulation); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_state_state_proto_msgTypes[21].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Simulation); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_state_state_proto_msgTypes[14].OneofWrappers = []interface{}{
		(*RouteMapEntry_IpPrefixList)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_state_state_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   22,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_state_state_proto_goTypes,
		DependencyIndexes: file_state_state_proto_depIdxs,
		EnumInfos:         file_state_state_proto_enumTypes,
		MessageInfos:      file_state_state_proto_msgTypes,
	}.Build()
	File_state_state_proto = out.File
	file_state_state_proto_rawDesc = nil
	file_state_state_proto_goTypes = nil
	file_state_state_proto_depIdxs = nil
}
